## kcompletion 5.54.0

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

include(ECMMarkAsTest)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, manual tests will not be built.")
    return()
endif()

macro(kcompletion_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt5::Test Qt5::Widgets KF5::Completion KF5::ConfigCore)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kcompletion_executable_tests(
   kcomboboxtest
   kcompletionuitest
   klineedittest
)

=== debian/changelog ===
kcompletion (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:29 -0300

kcompletion (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:31 +0100

kcompletion (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:11 +0200

kcompletion (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:25 +0200

=== debian/control ===
Source: kcompletion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5config-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcompletion.git

Package: libkf5completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf5completion-dev
Section: libdevel
Architecture: any
Depends: libkf5completion5 (= ${binary:Version}),
         libkf5config-dev (>= 5.54.0~),
         libkf5widgetsaddons-dev (>= 5.54.0~),
         ${misc:Depends},
Recommends: libkf5completion-doc (= ${source:Version})
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.
Breaks: kio-dev (<< 5.28),
        libkf5kio-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),

Package: libkf5completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5completion5
Architecture: any
Multi-Arch: same
Depends: libkf5completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
Breaks: baloo-kf5 (<< 5.42),
        frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kinit (<< 5.42),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        plasma-framework (<< 5.42),
        qml-module-org-kde-kio (<< 5.42),

## kcompletion 5.56.0

=== debian/changelog ===
kcompletion (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:40 +0000

kcompletion (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:45 +0000

kcompletion (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:52 +0000

kcompletion (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:42 +0000

kcompletion (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:16 +0000

=== debian/control ===
Source: kcompletion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5config-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kcompletion
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion

Package: libkf5completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf5completion-dev
Architecture: any
Section: libdevel
Depends: libkf5completion5 (= ${binary:Version}),
         libkf5config-dev (>= 5.55.0~),
         libkf5widgetsaddons-dev (>= 5.55.0~),
         ${misc:Depends},
Recommends: libkf5completion-doc (= ${source:Version})
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf5completion-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.

Package: libkf5completion5
Architecture: any
Multi-Arch: same
Depends: libkf5completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.

## kcompletion 5.62.0

=== debian/changelog ===
kcompletion (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:54 -0700

kcompletion (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:16 +0100

=== debian/control ===
Source: kcompletion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5config-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcompletion.git

Package: libkf5completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf5completion-dev
Section: libdevel
Architecture: any
Depends: libkf5completion5 (= ${binary:Version}),
         libkf5config-dev (>= 5.62.0~),
         libkf5widgetsaddons-dev (>= 5.62.0~),
         ${misc:Depends},
Recommends: libkf5completion-doc (= ${source:Version})
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.
Breaks: kio-dev (<< 5.28),
        libkf5kio-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),

Package: libkf5completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5completion5
Architecture: any
Multi-Arch: same
Depends: libkf5completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
Breaks: baloo-kf5 (<< 5.42),
        frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kinit (<< 5.42),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        plasma-framework (<< 5.42),
        qml-module-org-kde-kio (<< 5.42),

## kcompletion 5.68.0

=== src/CMakeLists.txt ===
ecm_create_qm_loader(kcompletion_QM_LOADER kcompletion5_qt)

set(kcompletion_SRCS
  kcombobox.cpp
  kcompletion.cpp
  kcompletionbase.cpp
  kcompletionbox.cpp
  klineedit.cpp
  khistorycombobox.cpp
  kpixmapprovider.cpp
  kzoneallocator.cpp
  kcompletionbase.cpp
  kcompletionmatches.cpp
  ${kcompletion_QM_LOADER}
)

add_library(KF5Completion ${kcompletion_SRCS})
add_library(KF5::Completion ALIAS KF5Completion)
ecm_generate_export_header(KF5Completion
    BASE_NAME KCompletion
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 4.5 5.0 5.46 5.66
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Completion INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KCompletion>")

target_link_libraries(KF5Completion PUBLIC Qt5::Widgets
                                    PRIVATE KF5::ConfigCore      # KConfigGroup, used in many places
                                            KF5::ConfigGui       # KStandardShortcut
                                            KF5::WidgetsAddons   # KCursor
)

set_target_properties(KF5Completion PROPERTIES VERSION   ${KCOMPLETION_VERSION_STRING}
                                               SOVERSION ${KCOMPLETION_SOVERSION}
                                               EXPORT_NAME Completion
)

ecm_generate_headers(KCompletion_HEADERS
  HEADER_NAMES
  KComboBox
  KCompletion
  KCompletionBase
  KCompletionBox
  KLineEdit
  KHistoryComboBox
  KPixmapProvider
  KSortableList
  KCompletionMatches

  REQUIRED_HEADERS KCompletion_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::Completion
    PYTHONNAMESPACE PyKF5
    MODULENAME KCompletion
    RULES_FILE "${CMAKE_SOURCE_DIR}/cmake/rules_PyKF5.py"
    SIP_DEPENDS
      QtWidgets/QtWidgetsmod.sip
    HEADERS
      kcombobox.h
      kcompletion.h
      kcompletionbase.h
      kcompletionbox.h
      klineedit.h
      khistorycombobox.h
      kpixmapprovider.h
      ksortablelist.h
      kcompletionmatches.h
  )
endif()

install(TARGETS KF5Completion EXPORT KF5CompletionTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcompletion_export.h
  ${KCompletion_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KCompletion COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF5Completion_QCH
        NAME KCompletion
        BASE_NAME KF5Completion
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCompletion_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCOMPLETION_EXPORT
            KCOMPLETION_DEPRECATED
            "KCOMPLETION_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KCompletion LIB_NAME KF5Completion DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KCompletion)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kcompletion (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:56:03 +0000

kcompletion (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:48:32 +0000

kcompletion (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:17:39 +0000

kcompletion (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:57:27 +0000

kcompletion (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:23:05 +0000

kcompletion (5.62.0-0ubuntu1) eoan; urgency=medium

  * Install designer plugin in -dev package.
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:05:30 +0100

kcompletion (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:41:02 +0100

kcompletion (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:43 +0100

kcompletion (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:56 +0100

kcompletion (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:43 +0100

kcompletion (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:36:27 +0100

=== debian/control ===
Source: kcompletion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libkf5config-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kcompletion
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion

Package: libkf5completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf5completion-dev
Architecture: any
Section: libdevel
Depends: libkf5completion5 (= ${binary:Version}),
         libkf5config-dev (>= 5.68.0~),
         libkf5widgetsaddons-dev (>= 5.68.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5completion-doc (= ${source:Version})
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf5completion-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.

Package: libkf5completion5
Architecture: any
Multi-Arch: same
Depends: libkf5completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

export QT_SELECT=5

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5completion5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## kcompletion 5.74.0

=== debian/changelog ===
kcompletion (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:44 +0100

kcompletion (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:56:30 +0100

kcompletion (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:39 +0100

kcompletion (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:50 +0100

kcompletion (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Jun 2020 09:45:04 +0100

kcompletion (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.
  * Use the ${shlibs:Depends} substvar in libkf5completion-dev, as it contains
    a binary now.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:47 +0200

kcompletion (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:27 +0100

kcompletion (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.69.0.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove QT_SELECT.
  * Remove COPYING.LIB listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 01:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,25 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               libkf5config-dev (>= 5.68.0~),
-               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.74.0~),
+               libkf5widgetsaddons-dev (>= 5.74.0~),
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kcompletion
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion
+Rules-Requires-Root: no
 
 Package: libkf5completion-data
 Architecture: all
@@ -36,8 +37,8 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5completion5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.68.0~),
-         libkf5widgetsaddons-dev (>= 5.68.0~),
+         libkf5config-dev (>= 5.74.0~),
+         libkf5widgetsaddons-dev (>= 5.74.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5completion-doc (= ${source:Version})

## kcompletion 5.78.0

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

include(ECMAddTests)

ecm_add_tests(
   kcompletioncoretest.cpp
   klineedit_unittest.cpp
   kcombobox_unittest.cpp
   ksortablelisttest.cpp
   LINK_LIBRARIES Qt5::Test KF5::Completion
)

=== debian/changelog ===
kcompletion (5.78.0-3) unstable; urgency=medium

  * Update symbols.
  * Remove graphviz from build depends.
  * Cherry-pick upstream fix for regression.

 -- Norbert Preining <norbert@preining.info>  Tue, 26 Jan 2021 07:18:03 +0900

kcompletion (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kcompletion (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kcompletion (5.77.0-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Cleanup Breaks as version in stable is old enough.

  [ Pino Toscano ]
  * Strip unusual field spacing from debian/control.
  * Fix the version of the libkf5completion-dev breaks/replaces in
    libkf5completion5 (for the move of kcompletion5widgets.so).
  * Drop the disabled 'testsuite' autopkgtest.
  * Drop the unused debian/meta/ stuff.
  * Remove the unused ${shlibs:Depends} substvar in libkf5completion-data, and
    libkf5completion-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Dec 2020 17:49:46 +0100

kcompletion (5.77.0-3) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Move the designer plugin to the library package,
  it is required for user facing tasks such as
  kolab add account and should not be in -dev package.
  Please see KDE Bug https://bugs.kde.org/show_bug.cgi?id=429106

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Dec 2020 14:36:48 +0100

kcompletion (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kcompletion (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kcompletion (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:15:15 +0200

kcompletion (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add categories file to libkf5completion-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:10 +0200

=== debian/control ===
Source: kcompletion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcompletion.git
Rules-Requires-Root: no

Package: libkf5completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf5completion-dev
Section: libdevel
Architecture: any
Depends: libkf5completion5 (= ${binary:Version}),
         libkf5config-dev (>= 5.78.0~),
         libkf5widgetsaddons-dev (>= 5.78.0~),
         ${misc:Depends}
Recommends: libkf5completion-doc (= ${source:Version})
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf5completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5completion5
Architecture: any
Multi-Arch: same
Depends: libkf5completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
Breaks: libkf5completion-dev (<< 5.77.0-3~)
Replaces: libkf5completion-dev (<< 5.77.0-3~)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## kcompletion 5.80.0

=== debian/changelog ===
kcompletion (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:33 +0000

kcompletion (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)
  * Drop included upstream-7acda936-fix-regression-porting-
    operator.patch

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:12 +0000

kcompletion (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file (ppc64el fixes).

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Jan 2021 09:23:35 +0000

kcompletion (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:54:53 +0000

kcompletion (5.77.0-4ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file (ppc64el fixes).

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 21:57:35 +0000

kcompletion (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:08:56 +0000

kcompletion (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:21:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5widgetsaddons-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcompletion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcompletion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcompletion
 Rules-Requires-Root: no
 
 Package: libkf5completion-data
@@ -37,9 +37,9 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5completion5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.78.0~),
-         libkf5widgetsaddons-dev (>= 5.78.0~),
-         ${misc:Depends}
+         libkf5config-dev (>= 5.80.0~),
+         libkf5widgetsaddons-dev (>= 5.80.0~),
+         ${misc:Depends},
 Recommends: libkf5completion-doc (= ${source:Version})
 Description: development files for kcompletion
  KCompletion provides widgets with advanced completion support as well as a
@@ -63,7 +63,7 @@
 Multi-Arch: same
 Depends: libkf5completion-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Widgets with advanced auto-completion features.
  KCompletion provides widgets with advanced completion support as well as a
  lower-level completion class which can be used with your own widgets.

## kcompletion 5.86.0

=== debian/changelog ===
kcompletion (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:41 +0100

kcompletion (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:22 +0100

kcompletion (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:50 +0100

kcompletion (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:40 +0100

kcompletion (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:14 +0100

kcompletion (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -37,8 +37,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5completion5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.80.0~),
-         libkf5widgetsaddons-dev (>= 5.80.0~),
+         libkf5config-dev (>= 5.86.0~),
+         libkf5widgetsaddons-dev (>= 5.86.0~),
          ${misc:Depends},
 Recommends: libkf5completion-doc (= ${source:Version})
 Description: development files for kcompletion
